package com.bonus.core.customer.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("钉钉编辑人员")
@Data
public class AddCustForDingDTO {
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("openid")
   private @NotNull(
   message = "openid不允许为空"
) String openid;
   @ApiModelProperty("人员编号")
   private @NotNull(
   message = "人员编号不允许为空"
) String custNum;
   @ApiModelProperty("组织编号")
   private @NotNull(
   message = "组织编号不允许为空"
) String orgNum;
   @ApiModelProperty("职位")
   private String job;

   public static AddCustForDingDTOBuilder builder() {
      return new AddCustForDingDTOBuilder();
   }

   public String getCustName() {
      return this.custName;
   }

   public String getOpenid() {
      return this.openid;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getOrgNum() {
      return this.orgNum;
   }

   public String getJob() {
      return this.job;
   }

   public AddCustForDingDTO setCustName(final String custName) {
      this.custName = custName;
      return this;
   }

   public AddCustForDingDTO setOpenid(final String openid) {
      this.openid = openid;
      return this;
   }

   public AddCustForDingDTO setCustNum(final String custNum) {
      this.custNum = custNum;
      return this;
   }

   public AddCustForDingDTO setOrgNum(final String orgNum) {
      this.orgNum = orgNum;
      return this;
   }

   public AddCustForDingDTO setJob(final String job) {
      this.job = job;
      return this;
   }


   protected boolean canEqual(final Object other) {
      return other instanceof AddCustForDingDTO;
   }



   public AddCustForDingDTO(final String custName, final String openid, final String custNum, final String orgNum, final String job) {
      this.custName = custName;
      this.openid = openid;
      this.custNum = custNum;
      this.orgNum = orgNum;
      this.job = job;
   }

   public AddCustForDingDTO() {
   }

   public static class AddCustForDingDTOBuilder {
      private String custName;
      private String openid;
      private String custNum;
      private String orgNum;
      private String job;

      AddCustForDingDTOBuilder() {
      }

      public AddCustForDingDTOBuilder custName(final String custName) {
         this.custName = custName;
         return this;
      }

      public AddCustForDingDTOBuilder openid(final String openid) {
         this.openid = openid;
         return this;
      }

      public AddCustForDingDTOBuilder custNum(final String custNum) {
         this.custNum = custNum;
         return this;
      }

      public AddCustForDingDTOBuilder orgNum(final String orgNum) {
         this.orgNum = orgNum;
         return this;
      }

      public AddCustForDingDTOBuilder job(final String job) {
         this.job = job;
         return this;
      }

      public AddCustForDingDTO build() {
         return new AddCustForDingDTO(this.custName, this.openid, this.custNum, this.orgNum, this.job);
      }

      public String toString() {
         return "AddCustForDingDTO.AddCustForDingDTOBuilder(custName=" + this.custName + ", openid=" + this.openid + ", custNum=" + this.custNum + ", orgNum=" + this.orgNum + ", job=" + this.job + ")";
      }
   }
}
